import { IDashboardPage } from "./dashboard-page.model";
import { ComponentType } from "./enumeration/component-type.model";

export interface IDashboardComponent {
  id?: number;
  componentType?: ComponentType;
  componentName?: string;
  componentcontent?: string | null;
  componentPosition?: string | null;
  //createdDate?: dayjs.Dayjs | null;
  createdBy?: string | null;
  dashboardPage?: IDashboardPage | null;
}

export class DashboardComponent implements IDashboardComponent {
  constructor(
    public id?: number,
    public componentType?: ComponentType,
    public componentName?: string,
    public componentcontent?: string | null,
    public componentPosition?: string | null,
    //public createdDate?: dayjs.Dayjs | null,
    public createdBy?: string | null,
    public dashboardPage?: IDashboardPage | null
  ) {}
}

export function getDashboardComponentIdentifier(dashboardComponent: IDashboardComponent): number | undefined {
  return dashboardComponent.id;
}
