import { IDashboardComponent } from "./dashboard-component.model";
import { MenuType } from "./enumeration/menu-type.model";
import { IMenuItem } from "./menu-item.model";
import { ITarget } from "./target.model";

export interface IDashboardPage {
  id?: number;
  name?: string;
  description?: string | null;
  content?: string;
  note?: string | null;
  shared?: boolean | null;
  pageOwner?: boolean | null;
  type?: MenuType | null,
  //createdDate?: dayjs.Dayjs | null;
  createdBy?: string | null;
  dashboardComponents?: IDashboardComponent[] | null;
  menuItem?: IMenuItem | null;
  targets?: ITarget[] | null;
}

export class DashboardPage implements IDashboardPage {
  constructor(
    public id?: number,
    public name?: string,
    public description?: string | null,
    public content?: string,
    public note?: string | null,
    public shared?: boolean | null,
    public pageOwner?: boolean | null,
    public type?: MenuType | null,
    //public createdDate?: dayjs.Dayjs | null,
    public createdBy?: string | null,
    public dashboardComponents?: IDashboardComponent[] | null,
    public menuItem?: IMenuItem | null,
    public targets?: ITarget[] | null
  ) {
    this.shared = this.shared ?? false;
  }
}

export function getDashboardPageIdentifier(dashboardPage: IDashboardPage): number | undefined {
  return dashboardPage.id;
}