import { MenuType } from "./enumeration/menu-type.model";
import { IMenuItem } from "./menu-item.model";

export interface IMenuBlock {
    id?: number;
    code?: string;
    label?: string;
    order?: number | null;
    type?: MenuType;
    icon?: string;
    //createdDate?: dayjs.Dayjs | null;
    createdBy?: string | null;
    linkedItems?: IMenuItem[] | null;
  }
  
  export class MenuBlock implements IMenuBlock {
    constructor(
      public id?: number,
      public code?: string,
      public label?: string,
      public order?: number | null,
      public type?: MenuType,
      public icon?: string,
      //public createdDate?: dayjs.Dayjs | null,
      public createdBy?: string | null,
      public linkedItems?: IMenuItem[] | null
    ) {}
  }
  
  export function getMenuBlockIdentifier(menuBlock: IMenuBlock): number | undefined {
    return menuBlock.id;
  }