import { IDashboardPage } from "./dashboard-page.model";
import { MenuType } from "./enumeration/menu-type.model";
import { IMenuBlock } from "./menu-block.model";

export interface IMenuItem {
  id?: number;
  code?: string;
  label?: string;
  order?: number | null;
  type?: MenuType;
  icon?: string;
  //createdDate?: dayjs.Dayjs | null;
  createdBy?: string | null;
  dashboardPage?: IDashboardPage | null;
  menuBlock?: IMenuBlock | null;
}

export class MenuItem implements IMenuItem {
  constructor(
    public id?: number,
    public code?: string,
    public label?: string,
    public order?: number | null,
    public type?: MenuType,
    public icon?: string,
    //public createdDate?: dayjs.Dayjs | null,
    public createdBy?: string | null,
    public dashboardPage?: IDashboardPage | null,
    public menuBlock?: IMenuBlock | null
  ) {}
}

export function getMenuItemIdentifier(menuItem: IMenuItem): number | undefined {
  return menuItem.id;
}
