import { IDashboardPage } from "./dashboard-page.model";
import { TargetType } from "./enumeration/target-type.model";

export interface ITarget {
  id?: number;
  type?: TargetType;
  name?: string;
  note?: string | null;
  //createdDate?: dayjs.Dayjs | null;
  createdBy?: string | null;
  dashboardPage?: IDashboardPage | null;
}

export class Target implements ITarget {
  constructor(
    public id?: number,
    public type?: TargetType,
    public name?: string,
    public note?: string | null,
    //public createdDate?: dayjs.Dayjs | null,
    public createdBy?: string | null,
    public dashboardPage?: IDashboardPage | null
  ) {}
}

export function getTargetIdentifier(target: ITarget): number | undefined {
  return target.id;
}