import { not } from '@angular/compiler/src/output/output_ast';
import { Component, OnInit, Input, Inject } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { NbDialogRef, NbToastrService } from '@nebular/theme';
import { TranslateService } from '@ngx-translate/core';
import { GridsterItem } from 'angular-gridster2';
import { DashboardPage, IDashboardPage } from '../../../model/dashboard-page.model';
import { DashboardPageCrudService } from '../services/dashboard-page-crud.service';
import { FormManagerService } from '../services/form-manager.service';

@Component({
  selector: 'ngx-dashboard-info',
  templateUrl: './dashboard-info.component.html',
  styleUrls: ['./dashboard-info.component.scss']
})
export class DashboardInfoComponent implements OnInit {
  public items:Array<GridsterItem>;
  dashboardPage: IDashboardPage | any = "";
  @Input() pageId: number;
  @Input() page: FormGroup = new FormGroup({});

  constructor(protected dialogRef: NbDialogRef<DashboardInfoComponent>, public dashboardPageService: DashboardPageCrudService, private formService: FormManagerService,
              private toastrService: NbToastrService,
              private translateService: TranslateService,
    ) {
    }

  ngOnInit(): void {
    if(this.pageId !== undefined){
      this.page = this.formService.pageFormCreator(new DashboardPage());
      this.dashboardPageService.getPageById(this.pageId.toString()).subscribe((data) => {
        this.dashboardPage = data;
        console.log("IN WINDOW MODAL")
        console.log(data);
      });
    }
  }
  saveDashboard(name, description, note){
    console.log("here first");
    this.dashboardPage.name = name;
    this.dashboardPage.description = description;
    this.dashboardPage.note = note;
    //this.dashboardPage.content =  this;
    console.log(JSON.stringify(this.items));
    this.dashboardPageService.updatePageById(this.dashboardPage).subscribe((res) => {
      // console.log('## Saved Dashboard with id:' + this.dashboardPage.id);
      this.toastrService.success(this.translateService.instant('dashboardPage.updated'), this.translateService.instant('general.success'));
      this.dialogRef.close();
    },err => {
      // console.log(err);
      this.toastrService.danger(this.translateService.instant('dashboardPage.operation_failed'), this.translateService.instant('general.error'));
    });
  }
}
