import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthGuard } from '../../auth/services/auth.guard';
import { DashboardCardViewComponent } from './dashboard-card-view/dashboard-card-view.component';
import { DashboardCloneWizardComponent } from './dashboard-clone-wizard/dashboard-clone-wizard.component';
import { DashboardPageComponent } from './dashboard-page/dashboard-page.component';
import { ManageDashboardPageContentComponent } from './manage-dashboard-page-content/manage-dashboard-page-content.component';
import { ManageDashboardPageComponent } from './manage-dashboard-page/manage-dashboard-page.component';
import { ManageMenuBlocksComponent } from './manage-menu-blocks/manage-menu-blocks.component';
import { MenuBlocksPageComponent } from './menu-blocks-page/menu-blocks-page.component';

const routes: Routes = [
  {
    path: 'manage-dashboard-pages',
    component: ManageDashboardPageComponent,
    canActivate: [AuthGuard]
  },
  {
    path: 'add-dashboard-page',
    component: DashboardPageComponent,
    canActivate: [AuthGuard]
  },
  {
    path: 'edit-dashboard-page/:id',
    component: DashboardPageComponent,
    canActivate: [AuthGuard]
  },
  {
    path: 'edit-dashboard-page-content/:id',
    component: ManageDashboardPageContentComponent,
    canActivate: [AuthGuard]
  },
  {
    path: 'manage-menu-blocks',
    component: ManageMenuBlocksComponent,
    canActivate: [AuthGuard]
  },
  {
    path: 'add-menu-block-page',
    component: MenuBlocksPageComponent,
    canActivate: [AuthGuard]
  },
  {
    path: 'view-dashboard-cards/:dashboardType',
    component: DashboardCardViewComponent
  },
  // {
  //   path: 'edit-menu-block-page/:id',
  //   component: MenuBlocksPageComponent
  // },




  // {
  //   path: 'dashboard-clone-wizard',
  //   component: DashboardCloneWizardComponent
  // }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class DashboardManagementRoutingModule { }

