import { NgModule } from '@angular/core';
import { ManageDashboardPageComponent } from './manage-dashboard-page/manage-dashboard-page.component';
import { GoogleMapsModule } from '@angular/google-maps';
import { LeafletMarkerClusterModule } from '@asymmetrik/ngx-leaflet-markercluster';
import { NgxEchartsModule } from 'ngx-echarts';
import { NbCardModule, NbRadioModule, NbSpinnerModule, NbDatepickerModule, NbInputModule, NbButtonModule, NbSelectModule, NbTimepickerModule, NbIconModule, NbTooltipModule, NbTabsetModule, NbListModule, NbFormFieldModule, NbActionsModule, NbAutocompleteModule, NbDialogModule, NbAccordionModule, NbOptionModule, NbLayoutModule, NbCheckboxModule, NbToggleModule, NbStepperModule, NbUserModule, NbStepperComponent} from '@nebular/theme';
import { ThemeModule } from '../../@theme/theme.module';
import { DashboardManagementRoutingModule } from './dashboard-management-routing.module';
import { MatCardModule } from '@angular/material/card';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgApexchartsModule } from "ng-apexcharts";
import { Ng2SmartTableModule } from 'ng2-smart-table';
import { CommonModule } from '@angular/common';
import { DashboardPageComponent } from './dashboard-page/dashboard-page.component';
import { SharedModule } from '../shared/shared.module';
import { AngularEditorModule } from "@kolkov/angular-editor";
import { GridsterModule } from 'angular-gridster2';
import { MatIconModule } from '@angular/material/icon';
import { ManageDashboardPageContentComponent } from './manage-dashboard-page-content/manage-dashboard-page-content.component';
import { DashboardComponentDialogComponent } from './dashboard-component-dialog/dashboard-component-dialog.component';
import { TranslateModule } from '@ngx-translate/core';
import { TargetFilterComponent } from './target-filter/target-filter.component';
import { MenuFilterComponent } from './menu-filter/menu-filter.component';
import { ManageMenuBlocksComponent } from './manage-menu-blocks/manage-menu-blocks.component';
import { WeatherComponent } from './weather/weather.component';
import { StatisticsComponent } from './statistics/statistics.component';
import { MenuBlocksPageComponent } from './menu-blocks-page/menu-blocks-page.component';
import { ImageCropperModule } from 'ngx-image-cropper';
import { LeafletModule } from '@asymmetrik/ngx-leaflet';
import { DashboardCloneWizardComponent } from './dashboard-clone-wizard/dashboard-clone-wizard.component';
import { ChartViewComponent } from './chart-view/chart-view.component';
import {MatDialogModule} from '@angular/material/dialog';
import { DashboardCardViewComponent } from './dashboard-card-view/dashboard-card-view.component';
import { DashboardInfoComponent } from './dashboard-info/dashboard-info.component';
import { DashboardSharingComponent } from './dashboard-sharing/dashboard-sharing.component';
import { DashboardGuideComponent } from './dashboard-guide/dashboard-guide.component';
import { ShowDashboardComponent } from './show-dashboard/show-dashboard.component';

@NgModule({
  imports: [
    CommonModule,
    ThemeModule,
    GoogleMapsModule,
    NbDialogModule.forChild(),
    DashboardManagementRoutingModule,
    NgxEchartsModule,
    NbCardModule,
    Ng2SmartTableModule,
    MatCardModule,
    NbRadioModule,
    NbTabsetModule,
    FormsModule,
    NbSpinnerModule,
    ReactiveFormsModule,
    NbListModule,
    NbFormFieldModule,
    NbActionsModule,
    NbAutocompleteModule,
    NbInputModule,
    NbDatepickerModule,
    NbButtonModule,
    NbSelectModule,
    NbTimepickerModule,
    LeafletMarkerClusterModule,
    NbIconModule,
    NbTooltipModule,
    SharedModule,
    NbAccordionModule,
    NbStepperModule,
    NgApexchartsModule,
    NbOptionModule,
    NbLayoutModule,
    NbCheckboxModule,
    AngularEditorModule,
    GridsterModule,
    MatIconModule,
    TranslateModule,
    ImageCropperModule,
    NbToggleModule,
    NbStepperModule,
    NbUserModule,
    LeafletModule.forRoot(),
    MatDialogModule,

  ],
  exports: [],
  declarations: [
    ManageDashboardPageComponent,
    DashboardPageComponent,
    ManageDashboardPageContentComponent,
    DashboardComponentDialogComponent,
    TargetFilterComponent,
    MenuFilterComponent,
    ManageMenuBlocksComponent,
    MenuBlocksPageComponent,
    WeatherComponent,
    StatisticsComponent,
    DashboardCloneWizardComponent,
    ChartViewComponent,
    DashboardCardViewComponent,
    DashboardInfoComponent,
    DashboardSharingComponent,
    DashboardGuideComponent,
    ShowDashboardComponent,
    
  ],
})
export class DashboardManagementModule { }
