import { LowerCasePipe } from '@angular/common';
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';
import { map } from "rxjs/operators";
import { DataStorageLayer } from '../../map-layers/map/map.component';

@Injectable({
  providedIn: 'root'
})
export class DatastorageService {
  private apiURL: any;
  private city: String;
  constructor(configService: ConfigService, private http: HttpClient) {
    this.apiURL = configService.getSettings("datastorageURL");
    this.city = configService.getSettings("default_pilot");
    this.city = this.city.toLowerCase();
    // https://messina.urbanite.esilab.org/data/getTData/
  }

  getMapLayers(id:string = undefined, filters: string = undefined): Observable<any> {
    let ep = `https://${this.city}.urbanite.esilab.org/data/getTData/mapLayer/${this.city}`;

    if (id !== undefined){
      ep += "/" + id;
    }

    if (filters !== undefined) {
      ep += "?filters=" + encodeURI(filters)
    }

    return this.http.get<any>(ep);
  }

  getMessinaCycling(): Observable<any> {
    return this.http.get<any>('https://messina.urbanite.esilab.org/data/getTData/gtfsShape/messina?filters=%7B%20%22alternateName%22%3A%22CyclingPaths%22%7D');
  }

  getDataFromAmsterdam(): Observable<Array<DataStorageLayer>> {
    return this.http.get<any>('https://amsterdam.urbanite.esilab.org/data/getTData/mapLayer/amsterdam');
  }


}
