import { Injectable } from '@angular/core';
import { FormGroup, FormControl, FormArray, Validators } from '@angular/forms';
import { IDashboardPage } from '../../../model/dashboard-page.model';
import { MenuType } from '../../../model/enumeration/menu-type.model';


@Injectable({

  providedIn: 'root'
})
export class FormManagerService {

  constructor() { }


  pageFormCreator(page: IDashboardPage): FormGroup {

    let group: any = {
      id: new FormControl(page.id || null),
      name: new FormControl(page.name || null, Validators.required),
      description: new FormControl(page.description || null),
      note: new FormControl(page.note || null),
      shared: new FormControl(page.shared || false, Validators.required),
      content: new FormControl(page.content || null),
      type: new FormControl(page.type || MenuType.PRIVATE, Validators.required),
    };

    return new FormGroup(group);

  }
}