import { Injectable } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';
import { IMenuBlock } from '../../../model/menu-block.model';

@Injectable({
  providedIn: 'root'
})
export class MenuFormManagerService {

  constructor() { }


  pageFormCreator(block: IMenuBlock): FormGroup {

    let group: any = {
      id: new FormControl(block.id || null),
      code:  new FormControl(block.code || null),
      label: new FormControl(block.label || null, Validators.required),
      order: new FormControl(block.order || null),
      type: new FormControl(block.type || null, Validators.required),
      // createdDate: new FormControl(block.createdDate || null),
      createdBy: new FormControl(block.createdBy || null),
      menuItems: new FormControl(block.linkedItems || null),
    };

    return new FormGroup(group);
  }
}
