import { Injectable } from '@angular/core';
import { NbMenuItem } from '@nebular/theme';
import { MenuType } from '../../../model/enumeration/menu-type.model';
import { IMenuBlock } from '../../../model/menu-block.model';
import { IMenuItem } from '../../../model/menu-item.model';

@Injectable({
  providedIn: 'root'
})
export class MenuMapperService {

  constructor() {
  }

  /**
   * JMA - This is a mapper to convert IMenuItem into NbMenuItem child.
   * 
   * @param IMenuItem 
   * @returns NbMenuItem
   */
  mapItemToNbMenuItem(menuItem: IMenuItem): any {
    //console.log('Mapping item: ', menuItem);
    let nbMenuItem = new NbMenuItem;
    if (menuItem.dashboardPage !== undefined && menuItem.dashboardPage !== null && menuItem.dashboardPage.id !== null) {
      nbMenuItem.link ='/pages/dashboard-management/edit-dashboard-page-content/'+menuItem.dashboardPage.id;
      nbMenuItem.queryParams = {isEditable: false};
    }
    if (menuItem.label !== undefined && menuItem.label !== null) {
      nbMenuItem.title = menuItem.label;
    }
    
    return nbMenuItem;
  }


  /**
   * JMA - This is a mapper to convert IMenuBlock into NbMenuItem father.
   * 
   * @param IMenuBlock 
   * @returns NbMenuItem
   */
  mapBlockToNbMenuItem(menuBlock: IMenuBlock): any {
    let nbMenuItem = new NbMenuItem();
    console.log('link ' + menuBlock.code);
    if (menuBlock.code !== undefined && menuBlock.code !== null) {
      if (menuBlock.code === 'PRIVATE_DASHBOARDS' || menuBlock.code === 'SHARED_DASHBOARDS' || menuBlock.code === 'PUBLIC_DASHBOARDS')
       nbMenuItem.link = "/pages/dashboard-management/view-dashboard-cards/"+ menuBlock.code;
       nbMenuItem.data = {name : menuBlock.code};
     } else{
      nbMenuItem.link = menuBlock.code;
     }

    console.log('title ' + menuBlock.label);
    if (menuBlock.label !== undefined && menuBlock.label !== null) {
      nbMenuItem.title = menuBlock.label;
    }

    console.log(menuBlock.icon)
    nbMenuItem.icon = menuBlock.icon;
    // if (menuBlock.type !== undefined && menuBlock.type !== null) {
    //   nbMenuItem.icon == 'globe-outline'
    //   if(menuBlock.type != MenuType.PUBLIC){
    //     nbMenuItem.icon = menuBlock.type == MenuType.SHARED ? 'share-outline' : 'lock-outline';
    //   }
    // }
    console.log('Check not undef: ', menuBlock.linkedItems !== undefined, 'Check not null: ', menuBlock.linkedItems !== null);
    console.log('Menu items: ', menuBlock.linkedItems);

    // if (menuBlock.linkedItems !== undefined || menuBlock.linkedItems !== null) {
    //   console.log('### menuBlock.linkedItems ===> ', menuBlock.linkedItems);
    //   nbMenuItem.children = menuBlock.linkedItems.map(item => this.mapItemToNbMenuItem(item)); // TODO: finish
    // }
    return nbMenuItem;
  }

}
