import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { IMenuBlock } from '../../../model/menu-block.model';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { DashboardPage, IDashboardPage } from '../../../model/dashboard-page.model';

@Injectable({
  providedIn: 'root'
})
export class PublicDashboardService {
  private apiURL: any;

  constructor(configService: ConfigService, private http: HttpClient) {
    this.apiURL = configService.getSettings("dashboard-controller.api_base_url");
  }

  getAllPublicDashboard(): Observable<Array<DashboardPage>> {
    return this.http.get<Array<DashboardPage>>(`${this.apiURL}/public/dashboards`);
  }
}
