import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';
import { Datalet } from '../model/datalet';

@Injectable({
  providedIn: 'root'
})
export class DataCatalogueAdminApiService {
  private apiEndpoint;

  constructor(private config:ConfigService,private http:HttpClient) { 
    this.apiEndpoint=this.config.getSettings("idra_base_url");
  }

  getAllDatalets(): Observable<Array<Datalet>> {
    return this.http.get<Array<Datalet>>(`${this.apiEndpoint}/Idra/api/v1/administration/datalets`);
  }

}
