import { Component, OnInit } from '@angular/core';
import { OwlOptions } from 'ngx-owl-carousel-o';
import { ConfigService } from '@ngx-config/core';
import { NbDialogService } from '@nebular/theme';
import { DetailDialogComponent } from './detail-dialog/detail-dialog.component';


@Component({
  selector: 'ngx-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {
  pilotName:string;

  customOptions: OwlOptions = {
    loop: true,
    autoplay:true,
    autoHeight:true,
    autoWidth:true,
    dots:false,
    center:true,
    responsive: {
      0: {
        items:1
      },
      500: {
        items:1
      },
      1000: {
        items:1
      }
    }
  }

  constructor(private configService: ConfigService, private dialogService: NbDialogService) { }

  ngOnInit(): void {
    this.pilotName = this.configService.getSettings("default_pilot").toUpperCase();
  }

  openDialog(city){
    this.dialogService.open(DetailDialogComponent,{context:{city:city}}).onClose.subscribe(res=>console.log(res));
  }

}
