import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MapLayersComponent } from './map-layers.component';
import { RouterModule, Routes } from '@angular/router';
import { MapComponent } from './map/map.component';
import { MapLayerFilterComponent } from './map-layer-filter/map-layer-filter.component';
import { AuthGuard } from '../../auth/services/auth.guard';


const routes: Routes = [
  {
    path:'',
    component: MapLayersComponent,
    canActivate: [AuthGuard],
    children: [
    {
      path:"map",
      component:MapComponent,
    }
  ],
  }];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class MapLayersRoutingModule { }

export const routedComponents = [
  MapComponent, MapLayersComponent, MapLayerFilterComponent
];
