import { NgModule } from '@angular/core';
import { GoogleMapsModule } from '@angular/google-maps';
import { LeafletModule } from '@asymmetrik/ngx-leaflet';
import { LeafletMarkerClusterModule } from '@asymmetrik/ngx-leaflet-markercluster';
import { NgxEchartsModule } from 'ngx-echarts';
import { NbCardModule, NbRadioModule, NbSpinnerModule, NbDatepickerModule, NbInputModule, NbButtonModule, NbSelectModule, NbTimepickerModule, NbIconModule, NbTooltipModule, NbListComponent, NbListModule} from '@nebular/theme';
import { ThemeModule } from '../../@theme/theme.module';
import { MatCardModule } from '@angular/material/card';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgApexchartsModule } from "ng-apexcharts";
import { MapLayersComponent } from './map-layers.component';
import { MapLayerFilterComponent } from './map-layer-filter/map-layer-filter.component';
import { MapComponent } from './map/map.component';
import { RouterModule } from '@angular/router';
import { MapLayersRoutingModule } from './map-layers-routing.module';
import { MatListModule } from '@angular/material/list';
import { TranslateModule } from '@ngx-translate/core';
import { MapModalComponent } from './map/map-modal/map-modal.component';

@NgModule({
  imports: [
    RouterModule,
    ThemeModule,
    GoogleMapsModule,
    LeafletModule.forRoot(),
    NgxEchartsModule,
    NbCardModule,
    MatCardModule,
    NbRadioModule,
    FormsModule,
    NbSpinnerModule,
    TranslateModule,
    NbInputModule,
    ReactiveFormsModule,
    NbDatepickerModule,
    NbButtonModule,
    NbSelectModule,
    NbTimepickerModule,
    NbListModule,
    MatListModule,
    LeafletMarkerClusterModule,
    NbIconModule,
    NbTooltipModule,
    NgApexchartsModule,
    MapLayersRoutingModule,
    NbCardModule
  ],
  exports: [],
  declarations: [MapLayersComponent, MapLayerFilterComponent, MapComponent, MapModalComponent],
})
export class MapLayersModule { }
