import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'ngx-heatmap-filter',
  templateUrl: './heatmap-filter.component.html',
  styleUrls: ['./heatmap-filter.component.scss']
})
export class HeatmapFilterComponent implements OnInit {

  @Output() sendFilter = new EventEmitter<any>()

  @Input() selected:string;

  formhm: FormGroup;

  constructor(private fb: FormBuilder) { }

  ngOnInit(): void {
    let now = new Date();
    let startDateTime = new Date().setDate(now.getDate() - 1);
    let endDateTime = now;

    this.formhm = this.fb.group({
      startDate: [new Date(startDateTime), Validators.required],
      endDate: [new Date(endDateTime), Validators.required],
      selectedPeriod: [this.selected, Validators.nullValidator],
    })

  }

  broadcastInfo() {
    this.sendFilter.emit(this.formhm.getRawValue());
  }

}
