import { Component, OnInit, Output, Input, EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { MessinaClientService } from "../service/messina-client.service";

@Component({
  selector: 'ngx-matrix-filter',
  templateUrl: './matrix-filter.component.html',
  styleUrls: ['./matrix-filter.component.scss']
})
export class MatrixFilterComponent implements OnInit {
  @Output() sendDates = new EventEmitter<any>()
  @Input() selectedRoad1:string;
  @Input() selectedRoad2:string;

  form:FormGroup;
  roads:any;

  constructor(private fb: FormBuilder, private messinaClient: MessinaClientService) { }

  ngOnInit(): void {
    let now = new Date();
    // let obsDate1 = new Date().setDate(now.getDate()-1);
    // let obsDate2 = new Date().setDate(now.getDate()-1);
    let obsDate1 = "2021-06-08T00:00:00Z";
    let obsDate2 = "2021-06-08T00:00:00Z";

    
    this.form = this.fb.group({
      obsDate1:[new Date(obsDate1), Validators.required],
      obsDate2:[new Date(obsDate2), Validators.required],
      selectedRoad1: [this.selectedRoad1, Validators.nullValidator],
      selectedRoad2: [this.selectedRoad2, Validators.nullValidator],
    })

    //Call APIs to retrieve all Roads
    this.messinaClient.getRoads().subscribe( res =>{
      this.roads = res;
    });

  }

  broadcastInfos(){
    this.sendDates.emit(this.form.getRawValue());
  }

}
