import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { MessinaComponent } from './messina.component';
import { TrafficComponent } from './traffic/traffic.component';
import { HeatmapComponent } from './heatmap/heatmap.component';
import { MartrixBatchComponent } from './martrix-batch/martrix-batch.component';

const routes: Routes = [{
  path: '',
  component: MessinaComponent,
  children: [{
    path: 'traffic',
    component: TrafficComponent,
  },
  {
    path:"heatmap",
    component:HeatmapComponent,
  },
  {
    path:"batch",
    component:MartrixBatchComponent,
  }],
}];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class MessinaRoutingModule { }

export const routedComponents = [
  MessinaComponent,
  TrafficComponent,
  HeatmapComponent
];
