import { NgModule } from '@angular/core';
import { GoogleMapsModule } from '@angular/google-maps';
import { LeafletModule } from '@asymmetrik/ngx-leaflet';
import { LeafletMarkerClusterModule } from '@asymmetrik/ngx-leaflet-markercluster';
import { NgxEchartsModule } from 'ngx-echarts';
import { NbCardModule, NbRadioModule, NbSpinnerModule, NbDatepickerModule, NbInputModule, NbButtonModule, NbSelectModule, NbTimepickerModule, NbIconModule, NbTooltipModule} from '@nebular/theme';
import { ThemeModule } from '../../@theme/theme.module';
import { MessinaRoutingModule, routedComponents } from './messina-routing.module';
import { MatCardModule } from '@angular/material/card';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TrafficFilterComponent } from './traffic-filter/traffic-filter.component';
import { HeatmapFilterComponent } from './heatmap-filter/heatmap-filter.component';
import { MartrixBatchComponent } from './martrix-batch/martrix-batch.component';
import { NgApexchartsModule } from "ng-apexcharts";
import { MatrixFilterComponent } from './matrix-filter/matrix-filter.component';

@NgModule({
  imports: [
    ThemeModule,
    GoogleMapsModule,
    LeafletModule.forRoot(),
    MessinaRoutingModule,
    NgxEchartsModule,
    NbCardModule,
    MatCardModule,
    NbRadioModule,
    FormsModule,
    NbSpinnerModule,
    NbInputModule,
    ReactiveFormsModule,
    NbDatepickerModule,
    NbButtonModule,
    NbSelectModule,
    NbTimepickerModule,
    LeafletMarkerClusterModule,
    NbIconModule,
    NbTooltipModule,
    NgApexchartsModule
  ],
  exports: [],
  declarations: [
    ...routedComponents,
    TrafficFilterComponent,
    HeatmapFilterComponent,
    MartrixBatchComponent,
    MatrixFilterComponent,
  ],
})
export class MessinaModule {}
