import { Component, OnInit, Output, EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'ngx-traffic-filter',
  templateUrl: './traffic-filter.component.html',
  styleUrls: ['./traffic-filter.component.scss']
})
export class TrafficFilterComponent implements OnInit {

  @Output() sendDates = new EventEmitter<any>()

  form:FormGroup;

  constructor(private fb: FormBuilder) { }

  ngOnInit(): void {
    let now = new Date();
    let startDateTime=new Date().setDate(now.getDate()-1);
    let endDateTime=now;

    this.form = this.fb.group({
      startDate:[new Date(startDateTime), Validators.required],
      endDate:[new Date(endDateTime), Validators.required],
    })

  }

  broadcastDate(){
    this.sendDates.emit(this.form.getRawValue());
  }

}
