import { NbMenuItem } from "@nebular/theme";

export const MENU_ITEMS: NbMenuItem[] = [
  {
    title: "SERVICES",
    group: true,
    data: {
      name: "services",
    },
  },
  {
    title: "Home",
    icon: "home-outline",
    link: "/pages/home",
    data: {
      name: "home",
    },
  },
  {
    title: "Administration",
    icon: "settings-2-outline",
    children: [
      {
        title: "Data Catalogue Administration",
        url: "",
        target: "_blank",
        data: {
          name: "data-catalogue-administration",
        },
      },
      {
        title: "IDM Administration",
        url: "",
        target: "_blank",
        data: {
          name: "idm-administration",
        },
      },
    ],
    data: {
      name: "administration",
    },
  },
  {
    title: "Data Analysis",
    icon: "bar-chart-2-outline",
    link: "/pages/tecnalia",
    data: {
      name: "tecnalia",
      key: "data_analysis",
    },
    children: [
      {
        title: "Traffic Prediction",
        link: "/pages/tecnalia/traffic",
        data: {
          key: "traffic_prediction",
        },
      },
      {
        title: "Bike OD Matrix",
        link: "/pages/tecnalia/bike",
        data: {
          name: "tecnalia",
          key: "bike_analysis",
        },
      },
      {
        title: "Bike Trajectories",
        link: "/pages/tecnalia/biketrajectories",
        data: {
          name: "tecnalia",
          key: "bike_trajectories",
        },
      },
      {
        title: "Bike OD Matrix",
        link: "/pages/tecnalia/bike_AMS",
        data: {
          name: "tecnalia",
          key: "bike_analysis_AMS",
        },
      },
      {
        title: "Bus OD Matrix",
        link: "/pages/tecnalia/bus",
        data: {
          name: "tecnalia",
          key: "bus_od",
        },
      },
      {
        title: "Global Traffic Prediction",
        link: "/pages/tecnalia/gltraffic",
        data: {
          name: "tecnalia",
          key: "global_traffic_prediction",
        },
      },
      {
        title: "Noise Computation",
        link: "/pages/tecnalia/noise-comp",
        data: {
          name: "tecnalia",
          key: "noise_computation",
        },
      },
      {
        title: "Traffic OD Matrix",
        link: "/pages/tecnalia/od-from-counts",
        data: {
          name: "tecnalia",
          key: "od_from_counts",
        },
      },
      {
        title: "Traffic Evolution",
        link: "/pages/messina/traffic",
        data: {
          name: "tecnalia",
          key: "messina_traffic_evolution",
        },
      },
      {
        title: "Weekly Traffic Flows",
        link: "/pages/messina/batch",
        data: {
          name: "tecnalia",
          key: "messina_weekly_traffic_flows",
        },
      },
      {
        title: "LPT Critical Areas",
        link: "/pages/messina/heatmap",
        data: {
          name: "tecnalia",
          key: "messina_lpt_critical_areas",
        },
      },
    ],
  },
  {
    title: "Dashboard Section",
    icon: "settings-2-outline",
    children: [
      {
        title: "Manage Dashboards",
        link: "/pages/dashboard-management/manage-dashboard-pages",
        data: {
          name: "dashboard-manage",
        },
      },
      // {
      //   title: 'Manage Menu Blocks',
      //   link: '/pages/dashboard-management/manage-menu-blocks',
      //   data: {
      //     name: 'dashboard-menu-blocks'
      //   }
      // },
      // {
      //   title: 'Clone Dashboard',
      //   link: '/pages/dashboard-management/dashboard-clone-wizard',
      //   data: {
      //     name: 'dashboard-clone'
      //   }
      // }
      /*,
      {
        title: 'Manage Dashboard Target',
        link: '/pages/dashboard-management/manage-dashboard-target',
      }*/
    ],
    data: {
      name: "dashboard-management",
    },
  },
  {
    title: "Most relevant dataset",
    icon: "search-outline",
    link: "/pages/datasets/filtered",
    data: {
      name: "catalogues",
    },
  },
  {
    title: "Data Catalogue",
    icon: "search-outline",
    link: "/pages/datasets",
    data: {
      name: "catalogues",
    },
  },
  {
    title: "Traffic Simulation",
    icon: "briefcase",
    data: {
      name: "traffic simulation",
    },
    children: [
      {
        title: "Simulations",
        link: "/pages/simulation-wizard/simulations",
      },
      {
        title: "ML Module",
        link: "/pages/simulation-wizard/ml-module",
      },
      {
        title: "Recommender",
        link: "/pages/simulation-wizard/recommender",
      },
      {
        title: "Edit Network Map",
        link: "/pages/simulation-wizard/edit-network-map",
      },
    ],
  },
  {
    title: "Utilities",
    icon: "grid-outline",
    data: {
      name: "maps",
      isDemo: true,
      pilot: "URBANITE",
    },
    children: [
      {
        title: "Additional Applications",
        icon: "external-link-outline",
        link: "/pages/external-app",
        data: {
          name: "external-app",
        },
        // children: [
        //   {
        //     title: 'Card Links',
        //     link: '/pages/external-app/card-links',
        //   }
        // {
        //   title: 'Iframes',
        //   link: '/pages/external-app/iframes',
        // }
        // ],
      },
    ],
  },
  {
    title: "Map Layers",
    icon: "map-outline",
    link: "/pages/map-layers/map",
    data: {
      name: "map-layers",
    },
  },
  {
    title: "Urbanite Project",
    icon: "info-outline",
    link: "/pages/about/info",
    data: {
      name: "about",
    },
    //   children: [{
    //     title:"About Urbanite",
    //     link:"/pages/about/info"
    //   }
    // ],
  },
  // {
  //   title: 'Private Dashboards',
  //   icon: 'lock-outline',
  //   link: '/pages/about/info',
  //   data: {
  //     name: "about"
  //   },
  // },
  // {
  //   title: 'Shared Dashboards',
  //   icon: 'share-outline',
  //   link: '/pages/about/info',
  //   data: {
  //     name: "about"
  //   },
  // },
  // {
  //   title: 'Public Dashboards',
  //   icon: 'globe-outline',
  //   link: '/pages/about/info',
  //   data: {
  //     name: "about"
  //   },
  // },
];
