import { RouterModule, Routes } from '@angular/router';
import { NgModule } from '@angular/core';
import { PagesComponent } from './pages.component';
import { NotFoundComponent } from './miscellaneous/not-found/not-found.component';
import { AuthGuard } from '../auth/services/auth.guard';

const routes: Routes = [{
  path: '',

  component: PagesComponent,
  children: [
    {
      path: 'home',
      loadChildren: () => import('./home/home.module')
        .then(m => m.HomeModule),
    },
    {
      path: 'tecnalia',
      loadChildren: () => import('./tecnalia-module/tecnalia-module.module')
        .then(m => m.TecnaliaModuleModule),
    },
    {
      path: 'external-app',
      loadChildren: () => import('./external-app/external-app.module')
        .then(m => m.ExternalAppModule),
    },
    {
      path: 'about',
      loadChildren: () => import('./about/about.module')
        .then(m => m.AboutModule),
    },
    // {
    //   path: 'ui-features',
    //   loadChildren: () => import('./ui-features/ui-features.module')
    //     .then(m => m.UiFeaturesModule),
    // },
    // {
    //   path: 'maps',
    //   loadChildren: () => import('./maps/maps.module')
    //     .then(m => m.MapsModule),
    // },
    {
      path: 'messina',
      loadChildren: () => import('./messina/messina.module')
        .then(m => m.MessinaModule),
    },

    {
      path: 'dashboard-management',
      loadChildren: () => import('./dashboard-management/dashboard-management.module')
        .then(m => m.DashboardManagementModule),
    },
    // {
    //   path: 'dashboard-management/view-dashboard-cards/:dashboardType',
    //   loadChildren: () => import('./dashboard-management/dashboard-management.module')
    //     .then(m => m.DashboardManagementModule),
    //     //canActivate: [AuthGuard],
    // },

    // {
    //   path: 'charts',
    //   loadChildren: () => import('./charts/charts.module')
    //     .then(m => m.ChartsModule),
    // },
    {
      path: 'simulation-wizard',
      loadChildren: () => import('./simulation-wizard/simulation-wizard.module')
        .then(m => m.SimulationWizardModule),
    },
    {
      path: 'datasets',
      loadChildren: () => import('./data-catalogue/data-catalogue.module')
        .then(m => m.DataCatalogueModule),
    },
    {
      path: 'map-layers',
      loadChildren: () => import('./map-layers/map-layers.module')
        .then(m => m.MapLayersModule),
    },
    {
      path: '',
      redirectTo: 'home',
      pathMatch: 'full',
    },
    {
      path: '**',
      component: NotFoundComponent,
    },
  ],
}];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PagesRoutingModule {
}
