import { NgModule } from '@angular/core';
import { NbMenuModule, NbDatepickerModule, NbStepperModule } from '@nebular/theme';
import { ThemeModule } from '../@theme/theme.module';
import { PagesComponent } from './pages.component';
import { PagesRoutingModule } from './pages-routing.module';
import { MiscellaneousModule } from './miscellaneous/miscellaneous.module';
import { SharedModule } from './shared/shared.module';
import { TranslateModule } from '@ngx-translate/core';
import { UtilitiesComponent } from './utilities/utilities.component';
import { MapLayersComponent } from './map-layers/map-layers.component';
import { GuideComponent } from './guide/guide.component';
import { UiFeaturesModule } from './ui-features/ui-features.module';


@NgModule({
  imports: [
    PagesRoutingModule,
    ThemeModule,
    NbMenuModule,
    SharedModule,
    MiscellaneousModule,
    TranslateModule,
    NbStepperModule,
    UiFeaturesModule
  ],
  declarations: [
    PagesComponent,
    UtilitiesComponent,
  ],
})
export class PagesModule {
}
