import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { TableActionsComponent } from '../shared/table-actions/table-actions.component';
import { NbAccordionModule, NbActionsModule, NbAutocompleteModule, NbBadgeModule, NbButtonModule, NbCardModule, NbChatModule, NbCheckboxModule, NbDialogModule, NbFormFieldModule, NbIconModule, NbInputModule, NbListModule, NbSelectModule, NbSpinnerModule, NbTabsetModule, NbTimepickerModule, NbTooltipModule, NbTreeGridModule } from '@nebular/theme';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { NgxPaginationModule } from 'ngx-pagination';
import { Ng2SmartTableModule } from 'ng2-smart-table';
import { LeafletModule } from '@asymmetrik/ngx-leaflet';
import { DialogComponent } from './dialog/dialog.component';
import { TranslateModule } from '@ngx-translate/core';



@NgModule({
  declarations: [
    TableActionsComponent,
    DialogComponent,
  ],
  imports: [
    CommonModule,
    NbCardModule,
    FormsModule,
    NbFormFieldModule,
    NbButtonModule,
    NbInputModule,
    NbListModule,
    NgxPaginationModule,
    NbActionsModule,
    NbIconModule,
    NbSpinnerModule,
    NbTooltipModule,
    NbAccordionModule,
    NbButtonModule,
    NbTabsetModule,
    NbDialogModule.forChild(),
    NbTreeGridModule,
    Ng2SmartTableModule,
    NbSelectModule,
    NbAutocompleteModule,
    ReactiveFormsModule,
    NbTimepickerModule,
    //SharedRoutingModule,
    NbInputModule,
    NbCheckboxModule,
    NbChatModule,
    LeafletModule,
    NbBadgeModule,
    TranslateModule
  ],
  exports: [DialogComponent],
  entryComponents:[TableActionsComponent]
})
export class SharedModule { }
