import { Component, OnInit } from "@angular/core";
import { ComService } from "../utils/services/com.service";
import { Scenario } from "../utils/data/scenario";
import { Simulation } from "../utils/data/simulation";

@Component({
  selector: "ngx-results",
  templateUrl: "./results.component.html",
  styleUrls: ["./results.component.scss"],
})
export class ResultsComponent implements OnInit {
  scenarios: Scenario[];
  selectedScenarioId?: number;
  selectedScenario?: Scenario;
  selectedSimulation: Simulation;
  constructor(private comService: ComService) { }

  ngOnInit(): void { }
  getSelectedScenario(): Scenario {
    return this.selectedScenario;
  }
  selectScenario(scenarioId: number) {
    this.selectedScenarioId = scenarioId;
    let found = false;
    for (let f of this.scenarios) {
      if (this.selectedScenarioId == f.id) {
        this.selectedScenario = f;
        this.comService.getSimulations(f.id).subscribe((next) => {
          // TODO: generify to support more than 2 simulations
          // this.simulations = next;
          // this.baselineSimulation = this.getBaselineSimulation();
          // this.proposalSimulation = this.getProposalSimulation();
        });
        console.log("found selected scenario:", this.selectedScenario);
        found = true;
      }
    }
    if (!found)
      console.error("could not find selected scenario with ID ", scenarioId);
  }
  setSelectedSimulation(s: Simulation) {
    this.selectedSimulation = s
  }
}
