import { NgModule } from "@angular/core";
import { RouterModule, Routes } from "@angular/router";
import { NetworkCreationComponent } from "./network-creation/network-creation.component";
import { ResultsComponent } from "./results/results.component";
import { ScenariosComponent } from "./scenarios/scenarios.component";
import { OurSpiderChartComponent } from "./our-spider-chart/our-spider-chart.component";
import { MlModuleComponent } from "./ml-module/ml-module.component";
import { RecommenderPageComponent } from "./recommender-page/recommender-page.component";
import { EditNetworkMapComponent } from "./edit-network-map/edit-network-map.component";

const routes: Routes = [
  {
    path: "edit-network-map",
    component: EditNetworkMapComponent,
  },
  {
    path: "ml-module",
    component: MlModuleComponent,
  },
  {
    path: "networks",
    component: NetworkCreationComponent,
  },
  {
    path: "scenarios",
    component: ScenariosComponent,
  },
  {
    path: "simulations",
    component: ResultsComponent,
  },
  {
    path: "spider",
    component: OurSpiderChartComponent,
  },
  {
    path: "recommender",
    component: RecommenderPageComponent,
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class SimulationWizardRoutingModule {}
