import { trigger, state, style, transition, animate } from "@angular/animations";

export let socketStatusAnimation = trigger('socketStatusAnimation', [
    state("hidden", style({ opacity: 0 })),
    state("shown", style({ opacity: 1 })),
    state("hide", style({ opacity: 0 })),
    state("show", style({ opacity: 1 })),
    state("replaceShow", style({ opacity: 1 })),
    state("replaceHide", style({ opacity: 0 })),
    transition("hidden => show", animate("0.5s")),
    transition("* => shown", animate("2s")),
    transition("shown => hide", animate("0.5s")),
    transition("* => replaceHide", animate("0.2s")),
    transition("* => replaceShow", animate("0.2s")),
  ])