import { brink_values } from "../../results-map/brink_values";
// sunset N11 scheme: 35b499; 4a7ab7; 6da5cc; 98cae0; c2e3ee; eaebcc; fed98b; fdb366; f57d4a; dc3d2d; a50026
const color_0 = "#a50026";
const color_1 = "#f57d4a";
const color_2 = "#fed98b";
const color_3 = "#c2e3ee";
const color_4 = "#6da5cc";
const color_5 = "#35b499";

export function getColor(properties: any, pro: any): string {
  let value = undefined;
  for (let key in properties) {
    if (key == pro) {
      value = properties[key];
    }
  }
  if (value == undefined) return "cyan";

  if (pro == "carCount" || pro == "vehicleCount") {
    return value > brink_values["brink_carCount"][4]
      ? color_0
      : value > brink_values["brink_carCount"][3]
      ? color_1
      : value > brink_values["brink_carCount"][2]
      ? color_2
      : value > brink_values["brink_carCount"][1]
      ? color_3
      : color_4;
  } else if (
    pro == "PM" ||
    pro == "NOx" ||
    pro == "NO2" ||
    pro == "HC" ||
    pro == "CO2_TOTAL" ||
    pro == "CO2_rep" ||
    pro == "CO2" ||
    pro == "CO" ||
    pro == "dailyInternalBikeTravels" ||
    pro == "pedestrianTravelTime"
  ) {
    return value > brink_values["brink_" + pro][5]
      ? color_0
      : value > brink_values["brink_" + pro][4]
      ? color_1
      : value > brink_values["brink_" + pro][3]
      ? color_2
      : value > brink_values["brink_" + pro][2]
      ? color_3
      : value > brink_values["brink_" + pro][1]
      ? color_4
      : color_5;
  } else if (
    pro == "link_id" ||
    pro == "modes" ||
    pro == "internal_travel_by_mode"
  ) {
    return "cyan";
  } else {
    return value > 256
      ? color_0
      : value > 64
      ? color_1
      : value > 16
      ? color_2
      : value > 4
      ? color_3
      : color_4;
  }
}

export function getColorCapacity(value: number): string {
  return value > brink_values["brink_capacity"][5]
    ? color_5
    : value > brink_values["brink_capacity"][4]
    ? color_4
    : value > brink_values["brink_capacity"][3]
    ? color_3
    : value > brink_values["brink_capacity"][2]
    ? color_2
    : value > brink_values["brink_capacity"][1]
    ? color_1
    : color_0;
}

export function getColorUniversal(
  d: number,
  current_brink_values: object
): string {
  return current_brink_values[d] > current_brink_values[4]
    ? color_0
    : current_brink_values[d] > current_brink_values[3]
    ? color_1
    : current_brink_values[d] > current_brink_values[2]
    ? color_2
    : current_brink_values[d] > current_brink_values[1]
    ? color_3
    : current_brink_values[d] > current_brink_values[0]
    ? color_4
    : color_5;
}
