import * as L from 'leaflet';
import { BoundsTuple, NetworkForm } from '../typings/typings';

export class Network {
  id: number;
  name: string;
  description: string;
  cityId: string;
  bounds: BoundsTuple = [0, 0, 0, 0];

  //Conversion status
  doneOsmProcessing: boolean;
  doneMATSimProcessing: boolean;
  osmosisLog: string;
  conversionError: string;

  //Websocket information
  conversionWSMessage: string;
  animationState: "hidden" | "shown" | "hide" | "show" | "replaceShow" | "replaceHide" = "hidden";

  fromForm(formValue: NetworkForm) {
    this.name = formValue.name;
    this.description = formValue.description;
    this.cityId = formValue.cityId;
    this.bounds = formValue.bounds
    return this;
  }

  static deserialize(input: any): Network {
    let network = new Network()
    Object.assign(network, input);
    return network;
}

  get westBoundary() { return this.bounds[0] }
  get southBoundary() { return this.bounds[1] }
  get eastBoundary() { return this.bounds[2] }
  get northBoundary() { return this.bounds[3] }

  get leafletBounds() {
    return L.latLngBounds(L.latLng(this.southBoundary, this.westBoundary), L.latLng(this.northBoundary, this.eastBoundary));
  }

}