import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class GetNoiseComputationService{
  private apiURL: any;
  constructor(configService: ConfigService,private http:HttpClient) {
    this.apiURL = configService.getSettings("noisecomputation_api_base_url");
  }

  getModels(): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getData/getModels`);
  }

  getMaps(): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getData/getMaps`);
  }

  getNewGeoJSONs(): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getData/getNewGeoJSONs`);
  }

  getTraffics(): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getData/getTraffics`);
  }

  createNewMap(input:any): Observable<any> {
    let content = JSON.stringify(input);
    return this.http.put<any>(`${this.apiURL}/webresources/putCommands/createNewMap`,content);
  }

  createModelTraffic(input:any, formData:FormData): Observable<any> {
    let name = input['name'];
    let filename = input['path'];
    return this.http.post<any>(`${this.apiURL}/webresources/putCommands/createNewTrafficSimulation?name=`+name+'&filename='+filename,formData);
  }

  createNewTraffic(input:any, formData:FormData): Observable<any> {
    let filename = input['path'];
    return this.http.post<any>(`${this.apiURL}/webresources/putCommands/createNewTraffic?filename=`+filename,formData);
  }

  createModel(input:any): Observable<any> {
    let content = JSON.stringify(input);
    return this.http.put<any>(`${this.apiURL}/webresources/putCommands/createModel`,content);
  }
  
  eraseModel(input:any): Observable<any> {
    let content = JSON.stringify(input);
    return this.http.put<any>(`${this.apiURL}/webresources/putCommands/eraseModel`,content);
  }  
}
