import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class GetOdfromcountsService {
  private apiURL: any;
  constructor(configService: ConfigService,private http:HttpClient) { 
    this.apiURL = configService.getSettings("odfromcounts_api_base_url");
  }

  getModels(): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getData/getModels`);
  }
  
  getSensors(): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getData/getSensors`);
  }
  
  getAreas(): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getData/getAreas`);
  }

  createNewAreas(input:any): Observable<any> {
    let content = JSON.stringify(input);
    return this.http.put<any>(`${this.apiURL}/webresources/putCommands/createNewAreas`,content);
  }

  createNewSensors(input:any): Observable<any> {
    let content = JSON.stringify(input);
    return this.http.put<any>(`${this.apiURL}/webresources/putCommands/createNewSensors`,content);
  }  
}
