import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class GetPointsService {

  private apiURL: any;

  constructor(configService: ConfigService,private http:HttpClient) {
    this.apiURL = configService.getSettings("biketrajectory_api_base_url");
  }

  getValues(): Observable<any> {
    //return this.http.get<any>(`${this.apiURL}/webresources/getData/getPnts/`);
    return this.http.get<any>(`${this.apiURL}/get_pnts`);
  }

  getVels(): Observable<any>{
    //return this.http.get<any>(`${this.apiURL}/webresources/getData/getVels/`);
    return this.http.get<any>(`${this.apiURL}/get_vels`);
  }
}