import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})

export class GetPredictionService{
  private apiURL: any;
  constructor(configService: ConfigService,private http:HttpClient) {
    this.apiURL = configService.getSettings("traffic_prediction_api_base_url");
  }
  getValues(model_id:string,ddate:string,period:number,id:string,num:number): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getEspiras/getPrediction/`+ddate+"/"+period+"/"+id+"/"+num);
    //return this.http.get<any>(`${this.apiURL}/pred_day?date=`+ddate+"&period="+period+"&id="+id+"&feature_combo="+num);
  }
  getValuesCustom(model_id:string,ini:string,end:string,id:string,num:number): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getEspiras/getPrediction2/`+ini+"/"+end+"/"+id+"/"+num);
    //return this.http.get<any>(`${this.apiURL}/pred_period?ini=`+ini+"&end="+end+"&id="+id+"&feature_combo="+num);
  }
  getValuesFromFeatures(id:string,feat_combo:number,weekday:number,temp:number, precp:number,holiday:number,school:number,event:number): Observable<any> {
    return this.http.get<any>(`${this.apiURL}/webresources/getEspiras/getPrediction/`+id+'/'+feat_combo+"/"+weekday+"/"+holiday+"/"+school+"/"+temp+"/"+precp+"/"+event);
    //return this.http.get<any>(`${this.apiURL}/pred_features?id=`+id+"&feat_combo="+feat_combo+"&weekday="+weekday+"&holiday="+holiday+"&school="+school+"&temp="+temp+"&precp="+precp+"&event="+event);
  }
}
