import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { ConfigService } from '@ngx-config/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class PutGeoJsonService{
  private apiURL: any;
  constructor(configService: ConfigService,private http:HttpClient) {
    let pilotName = configService.getSettings("default_pilot");
    this.apiURL   = "https://"+pilotName.toLowerCase()+".urbanite.esilab.org/data/insertTData/mapLayer/"+pilotName.toLowerCase();
    console.log("put-geojson.service::: apiURL="+this.apiURL);
  }

  putGeoJSON(geojson:any, name:string, city:string, alternateName: string, desc: string): Observable<any> {

    let input = [{
      "id": "urn:ngsi-ld:MapLayer:"+city+":zone:"+name,
      "alternateName": alternateName,
      "description": desc,
      "name": name,
      "type": "MapLayer",
      "@context": [
        "https://smartdatamodels.org/context.jsonld",
        "https://uri.etsi.org/ngsi-ld/v1/ngsi-ld-core-context.jsonld",
        "https://git.code.tecnalia.com/urbanite/public/-/raw/main/datamodels/maplayer-ngsi.jsonld"
      ],
      "map": geojson}];
      const headers = { 'content-type': 'application/json'}  
      const body=JSON.stringify(input);
    return this.http.post<any>(`${this.apiURL}`, body,{'headers':headers});
  }
}