import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { BikeAnalysisComponent } from './bike-analysis/bike-analysis.component';
import { BikeAnalysisAMSComponent } from './bike-analysis_AMS/bike-analysis_AMS.component';
import { TrafficPredictionComponent } from './traffic-prediction/traffic-prediction.component';
import { BusOdComponent } from './bus-od/bus-od.component';
import { GlTrafficPredictionComponent } from './gltraffic-prediction/gltraffic-prediction.component';
import { BikeTrajectoryComponent } from './bike-trajectory/bike-trajectory.component';
import { NoiseCompComponent } from './noise-comp/noise-comp.component';
import { OdFromCountsComponent } from './od-from-counts/od-from-counts.component';
const routes: Routes = [
  {
    path: 'traffic',
    component: TrafficPredictionComponent,
  }, {
    path: 'bike',
    component: BikeAnalysisComponent
  },
  {
    path: 'bike_AMS',
    component: BikeAnalysisAMSComponent
  },
  {
    path: 'biketrajectories',
    component: BikeTrajectoryComponent
  }, {
    path: 'bus',
    component: BusOdComponent
  },{
    path: 'gltraffic',
    component: GlTrafficPredictionComponent
  },{
    path: 'noise-comp',
    component: NoiseCompComponent
  },{
    path: 'od-from-counts',
    component: OdFromCountsComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TecnaliaModuleRoutingModule { }
