import { NgModule }                    from '@angular/core';
import { CommonModule }                from '@angular/common';
import { LeafletModule }               from '@asymmetrik/ngx-leaflet';
import { TecnaliaModuleRoutingModule } from './tecnalia-module-routing.module';
import { TrafficPredictionComponent }  from './traffic-prediction/traffic-prediction.component';
import { BikeAnalysisComponent }       from './bike-analysis/bike-analysis.component';
import { BikeAnalysisAMSComponent }    from './bike-analysis_AMS/bike-analysis_AMS.component';
import { BusOdComponent }              from './bus-od/bus-od.component';
import { MatSliderModule}              from '@angular/material/slider';
import { NgxChartsModule }             from '@swimlane/ngx-charts';
import { NgxSliderModule }             from "@angular-slider/ngx-slider";
import { SlideToggleModule }           from 'ngx-slide-toggle';
import { ChartModule }                 from 'angular2-chartjs';
import { GlobalPositionStrategy } from '@angular/cdk/overlay';
import { GlTrafficPredictionComponent } from './gltraffic-prediction/gltraffic-prediction.component';
import { BikeTrajectoryComponent }      from './bike-trajectory/bike-trajectory.component';
import { NoiseCompComponent } from './noise-comp/noise-comp.component';
import { LeafletDrawModule } from '@asymmetrik/ngx-leaflet-draw';
import { OdFromCountsComponent } from './od-from-counts/od-from-counts.component';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [TrafficPredictionComponent, 
                 BikeAnalysisComponent, 
                 BikeAnalysisAMSComponent, 
                 BikeTrajectoryComponent, 
                 BusOdComponent, 
                 GlTrafficPredictionComponent, 
                 NoiseCompComponent, 
                 OdFromCountsComponent],
  imports: [
    FormsModule,
    CommonModule,
    LeafletModule,
    LeafletDrawModule,
    MatSliderModule,
    TecnaliaModuleRoutingModule,
    NgxChartsModule,
    NgxSliderModule,
    SlideToggleModule,
    ChartModule
  ]
})
export class TecnaliaModuleModule { }
